[Solved] Synaptic configure and update drivers

New to Debian (Or Linux in general)? Ask your questions here!

[Solved] Synaptic configure and update drivers

Postby valonc » 2018-09-16 14:07

Hi all,

firstly sorry if i have any mistake in english.

i searched in forum but i can't find any solution for my problem, for this reason i make new topic.
I am new in debian, until now i was use kali linux, and ubuntu sometime and windows :P .

until i install debian i was so many problems with missing firmware files are: iwlwifi-7265D-26.ucode... iwlwifi-7265D-22.ucode. finally i was skip them with usb debian live non-free
after that i was and another problem with package manager because can't get response from internet to install apt and mirror from internet.

now are missing wireless driver, i think and GPU driver and can't update and upgrade from terminal with out cd.

my laptop is: msi GE62 6QF Apache Pro

i hope you can help.

Thank you
Last edited by valonc on 2018-09-16 15:44, edited 1 time in total.
valonc
 
Posts: 5
Joined: 2018-09-15 20:27

Re: Synaptic configure and update drivers

Postby arzgi » 2018-09-16 14:20

Hi valonc, welcome to the forums!

Can you post your /etc/apt/sources.list?
arzgi
 
Posts: 387
Joined: 2008-02-21 17:03
Location: Finland

Re: Synaptic configure and update drivers

Postby valonc » 2018-09-16 14:22

#

# deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 DVD Binary-1 20180714-10:25]/ stretch contrib main

deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 DVD Binary-1 20180714-10:25]/ stretch contrib main

deb http://security.debian.org/debian-security stretch/updates main contrib
deb-src http://security.debian.org/debian-security stretch/updates main contrib
valonc
 
Posts: 5
Joined: 2018-09-15 20:27

Re: Synaptic configure and update drivers

Postby arochester » 2018-09-16 14:51

You need to change your sources list.

The iwlwifi firmware comes from the non-free Repository which does not appear on your sources list.

You have the DVD as a Repository and ONLY the security updates. Unless you are going to compile files yourself from source code you do not need any line which starts "deb-src"

It should look like this
Code: Select all
deb http://deb.debian.org/debian stretch main contrib non-free
deb http://deb.debian.org/debian stretch-updates main contrib non-free
deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free
arochester
 
Posts: 1327
Joined: 2010-12-07 19:55

Re: Synaptic configure and update drivers

Postby valonc » 2018-09-16 15:02

with this links on source.list i get this :

Code: Select all
 apt-get update && apt-get upgrade && apt-get dist-upgrade
Hit:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://deb.debian.org/debian stretch InRelease
Get:3 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu cosmic InRelease [21.3 kB]
Hit:4 http://deb.debian.org/debian stretch-updates InRelease                         
Hit:5 http://deb.debian.org/debian stretch Release                                   
Ign:3 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu cosmic InRelease
Fetched 21.3 kB in 0s (44.0 kB/s)
Reading package lists... Done
W: http://security.debian.org/debian-security/dists/stretch/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu/dists/cosmic/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: GPG error: http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu cosmic InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY FCAE110B1118213C
W: The repository 'http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu cosmic InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
valonc
 
Posts: 5
Joined: 2018-09-15 20:27

Re: Synaptic configure and update drivers

Postby bw123 » 2018-09-16 15:11

W: http://security.debian.org/debian-secur ... /InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.

Looks like this...
https://bugs.debian.org/cgi-bin/bugrepo ... bug=864640



?
User avatar
bw123
 
Posts: 3403
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Synaptic configure and update drivers

Postby valonc » 2018-09-16 15:25

bw123 wrote:
W: http://security.debian.org/debian-secur ... /InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.

Looks like this...
https://bugs.debian.org/cgi-bin/bugrepo ... bug=864640



?



Not at all bro, this is error i get:

Code: Select all
apt update
Ign:1 http://deb.debian.org/debian stretch InRelease
Hit:2 http://security.debian.org/debian-security stretch/updates InRelease
Hit:3 http://deb.debian.org/debian stretch-updates InRelease
Hit:4 http://deb.debian.org/debian stretch Release
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.
W: http://security.debian.org/debian-security/dists/stretch/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.


and not yet i have access in wireless only with cable
valonc
 
Posts: 5
Joined: 2018-09-15 20:27

Re: Synaptic configure and update drivers

Postby bw123 » 2018-09-16 15:30

...not yet i have access in wireless only with cable


be sure and use forum search or the wiki for easy problems to solve. If language is a barrier let people know which section you don;t understand.

https://wiki.debian.org/WiFi
https://wiki.debian.org/iwlwifi
https://wiki.debian.org/WiFi/HowToUse

We don't know which GPU, but if you let people know they will help.
https://wiki.debian.org/GraphicsCard
User avatar
bw123
 
Posts: 3403
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Synaptic configure and update drivers

Postby valonc » 2018-09-16 15:43

Thank you for helping
valonc
 
Posts: 5
Joined: 2018-09-15 20:27

Re: [Solved] Synaptic configure and update drivers

Postby stevepusser » 2018-09-16 20:39

You need to get rid of the PPA; they are only for Ubuntu, not at all for Debian, and can break your Debian install. Debian has different ways to get newer graphics drivers.

You need to install firmware-misc-nonfree to get your Intel Skylake graphics working correctly, if that's not disabled. It looks like you may not have Intel graphics enabled, though...

Can we get a look at the hardware you have? Install inxi, then show us the result of

Code: Select all
inxi -Fxz
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kdenlive 18.08.1, Pale Moon 28.1.0, wine-staging 3.17, qBittorrent 4.1.3, Liquorix kernel 4.18-13, Audacity 2.3.0
User avatar
stevepusser
 
Posts: 10004
Joined: 2009-10-06 05:53


Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 4 guests

fashionable